Skip to main content
POST
/
api
/
svc
/
v1
/
mcp-servers
/
openapi
/
generate-mcp-tools
Generate MCP tools from an OpenAPI specification
curl --request POST \
  --url https://{controlPlaneURL}/api/svc/v1/mcp-servers/openapi/generate-mcp-tools \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "openapi_spec_source": {
    "type": "remote",
    "url": "<string>"
  }
}
'
{
  "tools": [
    {}
  ],
  "openapi_spec_url": "<string>",
  "base_urls": [
    "<string>"
  ],
  "errors": [
    {}
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
openapi_spec_source
RemoteSpecSource · object
required

The OpenAPI specification source

Response

MCP tools generated successfully from the OpenAPI specification

tools
object[]
required

List of MCP tools generated from the OpenAPI specification

openapi_spec_url
string
required

URL of the OpenAPI specification (original URL if provided or S3 URL if spec is stored in S3)

base_urls
string[]
required

Base URLs of the servers where requests can be sent (e.g., https://myapp.example.org)

errors
object[]
required

Validation errors from the OpenAPI specification